Skills
Get a skill
GET
/
v1
/
skills
/
{name}
Get a skill
curl --request GET \
--url https://api.veri.studio/v1/skills/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/skills/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/skills/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"allowed_tools": [
"<string>"
],
"version": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Path Parameters
Skill name
Query Parameters
Return this version instead of the latest.
Get a skill
curl --request GET \
--url https://api.veri.studio/v1/skills/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/skills/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/skills/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"allowed_tools": [
"<string>"
],
"version": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
